{
    attributes = (
        {
            columnName = C2IE_KEY; 
            externalType = NUMBER; 
            name = c2ieKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = ETUD_NUMERO; 
            externalType = NUMBER; 
            name = etudNumero; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IC2ICN_DISPENSE_N1; 
            externalType = NUMBER; 
            name = ic2icnDispenseN1; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IC2ICN_DISPENSE_N2; 
            externalType = NUMBER; 
            name = ic2icnDispenseN2; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IC2ICN_DISPENSE_N3; 
            externalType = NUMBER; 
            name = ic2icnDispenseN3; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IC2ICN_ETAT_N1; 
            externalType = NUMBER; 
            name = ic2icnEtatN1; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IC2ICN_ETAT_N2; 
            externalType = NUMBER; 
            name = ic2icnEtatN2; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IC2ICN_ETAT_N3; 
            externalType = NUMBER; 
            name = ic2icnEtatN3; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2ICN_POINT_JURY; 
            externalType = NUMBER; 
            name = ic2icnPointJury; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2ICN_SESSION1_N1; 
            externalType = NUMBER; 
            name = ic2icnSession1N1; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2ICN_SESSION1_N2; 
            externalType = NUMBER; 
            name = ic2icnSession1N2; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2ICN_SESSION1_N3; 
            externalType = NUMBER; 
            name = ic2icnSession1N3; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2ICN_SESSION2_N1; 
            externalType = NUMBER; 
            name = ic2icnSession2N1; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2ICN_SESSION2_N2; 
            externalType = NUMBER; 
            name = ic2icnSession2N2; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2ICN_SESSION2_N3; 
            externalType = NUMBER; 
            name = ic2icnSession2N3; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2ICN_SESSION3_N1; 
            externalType = NUMBER; 
            name = ic2icnSession3N1; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2ICN_SESSION3_N2; 
            externalType = NUMBER; 
            name = ic2icnSession3N2; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2ICN_SESSION3_N3; 
            externalType = NUMBER; 
            name = ic2icnSession3N3; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }
    ); 
    attributesUsedForLocking = (etudNumero, c2ieKey); 
    className = EOGenericRecord; 
    classProperties = (
        etudNumero, 
        c2ieKey, 
        ic2icnDispenseN1, 
        ic2icnEtatN1, 
        ic2icnSession1N1, 
        ic2icnSession2N1, 
        ic2icnSession3N1, 
        ic2icnDispenseN2, 
        ic2icnEtatN2, 
        ic2icnSession1N2, 
        ic2icnSession2N2, 
        ic2icnSession3N2, 
        ic2icnDispenseN3, 
        ic2icnEtatN3, 
        ic2icnSession1N3, 
        ic2icnSession2N3, 
        ic2icnSession3N3, 
        ic2icnPointJury, 
        toGrhumEtudiant
    ); 
    externalName = SCOL_INSCRIPTION_CNOTES; 
    fetchSpecificationDictionary = {}; 
    name = ScolInscriptionCnotes; 
    primaryKeyAttributes = (etudNumero, c2ieKey); 
    relationships = (
        {
            destination = GrhumEtudiant; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = etudNumero; sourceAttribute = etudNumero; }); 
            name = toGrhumEtudiant; 
        }
    ); 
}
